crashpad::internal::CpuidReader Class Reference

Reads x86-family CPU information by calling `cpuid`. More...

`#include "snapshot/x86/cpuid_reader.h"`

## Public Member Functions

uint32_t | Revision () const
std::string | Vendor () const
uint32_t | Signature () const
uint64_t | Features () const
uint64_t | ExtendedFeatures () const
uint32_t | Leaf7Features () const
bool | NXEnabled () const
bool | SupportsDAZ () const

## Detailed Description

Reads x86-family CPU information by calling `cpuid`.

## Member Function Documentation

## ExtendedFeatures()

uint64_t crashpad::internal::CpuidReader::ExtendedFeatures | ( |  | ) | const

inline

See also
  SystemSnapshot::CPUX86ExtendedFeatures

## Features()

uint64_t crashpad::internal::CpuidReader::Features | ( |  | ) | const

inline

See also
  SystemSnapshot::CPUX86Features

## Leaf7Features()

uint32_t crashpad::internal::CpuidReader::Leaf7Features | ( |  | ) | const

See also
  SystemSnapshot::CPUX86Leaf7Features

## NXEnabled()

bool crashpad::internal::CpuidReader::NXEnabled | ( |  | ) | const

inline

See also
  SystemSnapshot::NXEnabled

## Revision()

uint32_t crashpad::internal::CpuidReader::Revision | ( |  | ) | const

See also
  SystemSnapshot::CPURevision

## Signature()

uint32_t crashpad::internal::CpuidReader::Signature | ( |  | ) | const

inline

See also
  SystemSnapshot::CPUX86Signature

## SupportsDAZ()

bool crashpad::internal::CpuidReader::SupportsDAZ | ( |  | ) | const

See also
  SystemSnapshot::CPUX86SupportsDAZ

## Vendor()

std::string crashpad::internal::CpuidReader::Vendor | ( |  | ) | const

inline

See also
  SystemSnapshot::CPUVendor

The documentation for this class was generated from the following files:

- snapshot/x86/cpuid_reader.h
- snapshot/x86/cpuid_reader.cc